Subject: Re: [PATCH 2/3] netpoll: rework skb transmit queue

From: Stephen Hemminger <[email-masked]>
Date: Fri, 20 Oct 2006 12:31:37 -0700

On Fri, 20 Oct 2006 12:27:53 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Fri, 20 Oct 2006 08:40:15 -0700
> 
> > The only user of the drop hook was netconsole, and I fixed that path.
> > This probably breaks netdump, but that is out of tree, so it needs
> > to fix itself.
> 
> I believe that netdump needs to requeue things because dropping the
> packet is simply not allowed, and the ->drop callback gives the
> netdump code a way to handle things without actually dropping the
> packet.  If that's true, you can't just free the SKB on it.
> 
> Are you sure your new TX strategy can avoid such drops properly?

Yes, it has a queue. if it can't send it waits and retries.

> 
> Please take a quick peek at the netdump code, it's available, and make
> some reasonable effort to determine whether it can still work with
> your new code.

Where, I'm not digging in side some RHEL rpm patch pile to find it.

-- 
Stephen Hemminger <[email-masked]>